precision mediump float;

// input from glUniform's
uniform mat4 u_projection_matrix;
uniform mat4 u_model_matrix;

// input from glVertexAttribPointer (for each vertex)
layout (location=0) in vec2 i_position;
layout (location=1) in vec2 i_uv;

// output to fragment shader
out vec2 uv;

void main() {

  gl_Position = u_projection_matrix*u_model_matrix*vec4(i_position,0,1);

  uv = i_uv;
}

